﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Candle 클래스 : 축 레이블에서 주말 제외하기";

            StringList labelStringList = new StringList(10);

            labelStringList.Add("2009/03/23");
            labelStringList.Add("2009/03/24");
            labelStringList.Add("2009/03/25");
            labelStringList.Add("2009/03/26");
            labelStringList.Add("2009/03/27");
            labelStringList.Add("2009/03/28");
            labelStringList.Add("2009/03/29");
            labelStringList.Add("2009/03/30");
            labelStringList.Add("2009/03/31");

            this.tChart.Panel.Pen                  = new ChartPen(Color.Black);
            this.tChart.Axes.Bottom.Grid.DrawEvery = 2;
            this.tChart.Axes.Bottom.Grid.Visible   = true;
            this.tChart.Legend.Visible             = false;

            Candle candle = new Candle(this.tChart.Chart);

            candle.GetHorizAxis.Labels.Angle = 90;
            candle.Labels                    = labelStringList;
            candle.XValues.DateTime          = false;

            Random  random = new Random();

            double openPrice;
            double closePrice;
            int    count = 0;

            DateTime date     = new DateTime(2009, 03, 23);
            TimeSpan timeSpan = TimeSpan.FromDays(1);

            for(int t = 0; t < 13; t++)
            {
                openPrice  = random.Next(100);
                closePrice = openPrice - random.Next(100);

                if(date.DayOfWeek != DayOfWeek.Saturday & date.DayOfWeek != DayOfWeek.Sunday)
                {
                    ++count;

                    candle.Add(count, openPrice, openPrice + random.Next(50), closePrice - random.Next(50), closePrice);
                }

                date += timeSpan;
            }
        }

        #endregion
    }
}